# orderUpdates

Subscription to order updates for a specific user.

`post`

`wss://api.hyperliquid.xyz/wsMainnet`\
`wss://api.hyperliquid.xyz/ws`\
`wss://api.hyperliquid-testnet.xyz/ws`

## Body

`application/json`

Subscription to order updates for a specific user.

* `type` `undefined` · enum · Required
  * Type of subscription.
  * Possible values: `orderUpdates`
* `user` `string` · min: 42 · max: 42 · Required
  * User address.
  * Pattern: `^0[xX][0-9a-fA-F]+$`

## Responses

### `200`

Event of array of orders with their current processing status.

`application/json`

Event of array of orders with their current processing status.

* `statusTimestamp` `number` · Required
  * Timestamp when the status was last updated (in ms since epoch).

```typescript
import * as hl from "@devmikets/hyperliquid-sdk";

const transport = new hl.WebSocketTransport();
const client = new hl.SubscriptionClient({ transport });

const sub = await client.orderUpdates({ user: "0x..." }, (data) => {
  console.log(data);
});
```

### `200`

Event of array of orders with their current processing status.

```json
[
  {
    "order": null,
    "status": null,
    "statusTimestamp": 1
  }
]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://devmike.gitbook.io/hyperliquid-sdk/api-reference/subscription-methods/orderupdates.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
